
**[English](README_EN.md)** | **简体中文**

# Pantheons(万神殿)
`Pantheons.js` 是一个基于 OpenAI Node.js SDK 构建的统一对话库。它提供了一个无缝的接口，可以与多个大型语言模型（LLMs）进行交互，如 OpenAI、Deepseek、DashScope、Gemini 等。该库的灵感来源于神话中的众神殿，每个神明代表着独特的力量和属性，Pantheons将各种模型统一在一个直观的接口下。

## 支持的大模型
- [OpenAI](https://platform.openai.com/docs/api-reference/introduction)
- [通义千问(Dashscope)](https://help.aliyun.com/zh/model-studio/developer-reference)
- [腾讯混元(HunYuan)](https://cloud.tencent.com/document/product/1729/101839)
- [月之暗面(Moonshot)](https://platform.moonshot.cn/docs/intro)
- [硅基流动(Siliconflow)](https://docs.siliconflow.cn/cn/userguide/introduction)
- [Deepseek](https://api-docs.deepseek.com/)
- [文心一言(QianFan)](https://cloud.baidu.com/doc/WENXINWORKSHOP/s/7ltgucw50)
- [Gemini](https://ai.google.dev/gemini-api/docs)
- [Ollama](https://github.com/ollama/ollama/blob/main/docs/api.md)
- [智谱清言(ZhiPu)](https://open.bigmodel.cn/dev/api/normal-model/glm-4)
- [XAI](https://docs.x.ai/docs/overview)

## 安装方法

#### 使用 npm:
```
npm install pantheons
```

## 使用方法

#### Nodejs

```typescript
import { Deepseek } from 'pantheons';

(async () => {
    const client = new Deepseek('Your key');
    const stream = await client.stream({
        model: 'deepseek-chat',
        stream: true,
        messages: [{ role: 'user', content: 'Hi!' }],
    });

    let result = '';
    for await (const chunk of stream) {
        result += chunk.choices[0].delta?.content;
    }

    console.log(result);
})()
```